cross-toolchain-base (80ubuntu3) resolute; urgency=medium

  * Build using glibc 2.43-2ubuntu2.
  * Build using linux 7.0.0-13.
  * Build using gcc 15.2.0-16.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Apr 2026 08:34:02 +0200

cross-toolchain-base (80ubuntu1) resolute; urgency=medium

  * Build using glibc 2.43-1.
  * Build using linux 7.0.0.
  * Build using gcc 15.2.0-15.
  * Build using binutils 2.46-3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Mar 2026 09:58:48 +0100

cross-toolchain-base (80) unstable; urgency=medium

  * Build using glibc 2.42-12.
  * Build using linux 6.18.9.
  * Build using gcc 15.2.0-13.
  * Build using binutils 2.46-1.
  * Stop building multilib packages for s390x.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 16:32:52 +0100

cross-toolchain-base (79ubuntu1) resolute; urgency=medium

  * Build using linux 6.18.0.
  * Build using glibc 2.42-2ubuntu4.
  * Build using gcc 15.2.0-11ubuntu1.
  * Build using binutils 2.45.50.20260119-1~

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 11:52:56 +0100

cross-toolchain-base (79) unstable; urgency=medium

  * Build using glibc 2.42-10.
  * Build using linux 6.18.5. Closes: #1125259.
  * Build using gcc 15.2.0-12.
  * Build using binutils 2.45.50.20260119-1.
  * Remove conflicts to the libc*-dev*-cross packages (Aurelien Jarno).
    Closes: #1100747.
  * Remove the remove-multilib-conflicts patch. Closes: #1124155.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Jan 2026 11:46:06 +0100

cross-toolchain-base (78) unstable; urgency=medium

  * Build using glibc 2.42-4.
  * Build using linux 6.17.10. Closes: #1115572.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Dec 2025 11:39:09 +0100

cross-toolchain-base (77ubuntu2) questing; urgency=medium

  * Build using linux 6.17.0.
  * Build using glibc 2.42-0ubuntu3.
  * Build using gcc 15.2.0-4ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Sep 2025 01:45:47 +0200

cross-toolchain-base (77ubuntu1) questing; urgency=medium

  * Build using glibc 2.42-0ubuntu1.
  * Build using gcc 15.2.0-1ubuntu1.
  * Build using binutils 2.45-1ubuntu1.
  * Build using linux 6.16.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Aug 2025 07:46:08 +0200

cross-toolchain-base (77) unstable; urgency=medium

  * Build using glibc 2.41-11.
  * Build using linux 6.12.38.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jul 2025 10:50:17 +0200

cross-toolchain-base (76) unstable; urgency=medium

  * Fix typo for the dpkg-query fix in last upload.

 -- Matthias Klose <doko@debian.org>  Mon, 19 May 2025 19:41:33 +0200

cross-toolchain-base (75) unstable; urgency=medium

  * Build using gcc 14.2.0-19.
  * Build using glibc 2.41-8.
  * Build using linux 6.12.27.
  * d/rules: Use dpkg-query instead of apt-cache. Closes: #1103563.

 -- Matthias Klose <doko@debian.org>  Sun, 18 May 2025 12:39:35 +0200

cross-toolchain-base (74ubuntu1) plucky; urgency=medium

  * Build using glibc 2.41-6ubuntu1.
  * Build using gcc 14.2.0-19ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Mar 2025 09:57:42 +0100

cross-toolchain-base (74) unstable; urgency=medium

  * Build using gcc 14.2.0-18.
  * Build using glibc 2.41-6.
  * Refresh glibc patches.
  * Revert:
    * debian/control.in/*: mirror existing Conflicts: of libc6 multilib packages
      to libc6-dev multilib packages.
    to be able to build cross compilers again.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 12:14:49 +0100

cross-toolchain-base (73ubuntu4) plucky; urgency=medium

  * Build using glibc 2.41-1ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 11:33:25 +0100

cross-toolchain-base (73ubuntu3) plucky; urgency=medium

  * Build using glibc 2.41-1ubuntu1.
  * Build using gcc 14.2.0-17ubuntu1.
  * Build using binutils 2.44-1ubuntu1.
  * Build using linux 6.12.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Feb 2025 10:58:36 +0100

cross-toolchain-base (73ubuntu2) plucky; urgency=medium

  * Build using glibc 2.40-4ubuntu1.
  * Build using gcc 14.2.0-12ubuntu1.
  * Build using binutils 2.43.50.20241230-1ubuntu1.
  * Build using linux 6.11.0.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Dec 2024 12:46:01 +0100

cross-toolchain-base (73) unstable; urgency=medium

  * Build using linux 6.12.6.
  * Build using gcc 14.2.0-12.
  * Build using glibc 2.40-4. Closes: #1080341.
  * Build using binutils 2.43.50.20241230-1.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
    Closes: #1089876.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Dec 2024 11:49:42 +0100

cross-toolchain-base (72) unstable; urgency=medium

  * Build using linux 6.11.2.
  * Build using gcc 14.2.0-5.
  * Build using glibc 2.40-3.
  * Re-add the build conflicts on the linux-libc-dev-*-cross packages.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2024 11:53:50 +0200

cross-toolchain-base (71) experimental; urgency=medium

  * Build using linux 6.11.1.
  * Build using glibc 2.40-2, refresh patches. Closes: #1081201.
  * Build using binutils 2.43.1-5, using the pkg.binutils.nojava profile.
  * Build using gcc 14.2.0-5.
  * Update linux version number.
  * Fix linker location for mips* o32 multilibs.
  * Build armel packages from the ports package.
  * Re-add glibc stage1 and gcc stage2 builds. On some architecture (s390x),
    the configury depends on more than the stage1 build provides.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Sep 2024 17:00:03 +0200

cross-toolchain-base (70ubuntu5) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu3.
  * Build using gcc 14.2.0-4ubuntu2.
  * Build using binutils 2.43.1-4ubuntu1.
  * Build using linux 6.11.0.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 15:26:52 +0200

cross-toolchain-base (70ubuntu3) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu1.
  * Build using gcc 14.1.0-1.
  * Build using binutils 2.43-1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 05:18:41 +0200

cross-toolchain-base (70ubuntu2) oracular; urgency=medium

  * Build using gcc 13.3.0-3.
  * Build using glibc 2.39-3.1ubuntu3.
  * Don't build multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jul 2024 15:14:30 +0200

cross-toolchain-base (70) unstable; urgency=medium

  * Build using glibc 2.39-4.
  * Build using linux 6.9.9.
  * Build using gcc 13.3.0-3.
  * Drop build dependency on autogen. Closes: #1076255.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jul 2024 10:08:27 +0200

cross-toolchain-base (69) unstable; urgency=medium

  * Build using linux 6.7.12.
  * Build using binutils 2.42-4.
  * Build using gcc 13.2.0-25.
  * Build using glibc 2.38-11.

 -- Matthias Klose <doko@debian.org>  Thu, 16 May 2024 10:05:39 +0200

cross-toolchain-base (68ubuntu5) noble; urgency=medium

  * Build using linux 6.8.0.
  * Define _DISTRO_EVADE_TIME_BITS for the build, not setting _TIME_BITS
    and _FILE_OFFSET_BITS in the compiler by default.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Apr 2024 16:46:39 +0200

cross-toolchain-base (68ubuntu4) noble; urgency=medium

  * Build using glibc 2.39-0ubuntu7.
  * Build using linux 6.8.0.
  * Build using gcc 12.3.0-23.
  * Build using binutils 2.42-4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 11:58:05 +0100

cross-toolchain-base (68ubuntu2) noble; urgency=medium

  * Build using glibc 2.39.
  * Build using linux 6.6.0.
  * Build using binutils 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 08:56:51 +0100

cross-toolchain-base (68ubuntu1) noble; urgency=medium

  * Build using glibc 2.38-3ubuntu1.
  * Build using binutils 2.41-6ubuntu1.
  * Build using gcc 13.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 10:10:59 +0100

cross-toolchain-base (68) unstable; urgency=medium

  * Build using linux 6.5.8. Closes: #1042118.
  * Build using binutils 2.41-6.
  * Build using gcc 12.3.0-11.
  * Build riscv64 packages from c-t-b.
  * Update Ubuntu patches for glibc-2.38.
  * Also fix libm.a, now a ldscript on some architectures with glibc-2.38.
  * Fix some lintian warnings.
  * Bump standards version.
  * Prepare to build packages for loong64.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 09:50:26 +0100

cross-toolchain-base (67ubuntu2) mantic; urgency=medium

  * Build using linux 6.5.0.
  * Build riscv64 packages from c-t-b.
  * Also fix libm.a, now a ldscript on some architectures with glibc-2.38.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2023 09:44:55 +0200

cross-toolchain-base (67ubuntu1) mantic; urgency=medium

  * Build using linux 6.3.0.
  * Build using glibc 2.38-1ubuntu2.
  * Build using binutils 2.41-4.
  * Build using gcc 13.2.0-1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 06:24:25 +0200

cross-toolchain-base (67) unstable; urgency=medium

  * Build using glibc 2.37-3.
  * Build using binutils 2.40.50.20230630-1.
  * Build using linux 6.3.7.
  * Build using gcc 12.3.0-5.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2023 17:14:13 +0200

cross-toolchain-base (66ubuntu3) lunar; urgency=medium

  * Configure with --disable-werror. Fails on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Mar 2023 07:19:25 +0100

cross-toolchain-base (66ubuntu2) lunar; urgency=medium

  * Build using linux 6.2.0.
  * Build using glibc 2.37-0ubuntu2.
  * Build using gcc 12.2.0-17.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Mar 2023 09:42:58 +0100

cross-toolchain-base (66ubuntu1) lunar; urgency=medium

  * Build using glibc 2.37-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 13:56:21 +0100

cross-toolchain-base (62ubuntu1) lunar; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Nov 2022 14:28:11 +0100

cross-toolchain-base (66) unstable; urgency=medium

  * Build using glibc 2.36-8.
  * Build using binutils 2.40-2.
  * Build using linux 6.1.4.
  * Build using gcc 12.2.0-14.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2023 16:27:05 +0100

cross-toolchain-base (65) unstable; urgency=medium

  * Build using glibc 2.36-7.
  * Build using linux 6.0.12.
  * Add new build dependencies for binutils.
  * Add build dependency on dpkg (>= 1.21.17).

 -- Matthias Klose <doko@debian.org>  Fri, 06 Jan 2023 10:14:35 +0100

cross-toolchain-base (62) unstable; urgency=medium

  * Build using glibc 2.36-3.
  * Build using linux 6.0.5.
  * Work around dpkg-cross misbehaving with glibc 2.35 to rewrite
    .so files for non-default multilib packages. See #1018758.
  * Remove glibc stage1 and gcc stage2 (Helmut Grohne). Closes: #956855.
  * Remove the support to build ARM32 soft-float/hard-float multilibs.
  * Update copyright years.
  * Merge the support to build packages for arc-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Nov 2022 17:31:55 +0100

cross-toolchain-base (61) unstable; urgency=medium

  * Build using glibc 2.35-1.
  * Build using linux 5.19.6.
  * Bump standards version.
  * Update d/p/glibc/debian/no-libaudit.diff for glibc 2.34-5.
  * Work around dpkg-cross handling the versioned ld.so symlinks.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Sep 2022 14:02:02 +0200

cross-toolchain-base (60ubuntu1) kinetic; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    * Regenerate dependencies for Ubuntu
    * Apply Ubuntu delta to sed libm.so / libc.so to correct incorrectly
    generated paths see https://pad.lv/1941710
    * Build with gcc-12, since glibc got fixed up
    * Build with linux 5.19

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 16 Aug 2022 14:08:50 +0100

cross-toolchain-base (60) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Bastien Roucariès ]
  * Build using gcc 11.3.0-5
  * Bug fix: "FTBFS: configure: error: cannot compute suffix of object
    files: cannot compile", thanks to Lucas Nussbaum (Closes: #1017213).

  [ Dimitri John Ledkov ]
  * debian/tests/control: switch static build-depends list to @builddeps@
    macro.
  * Switch to exact linux-source-$VER dependency.
  * Update ubuntu patches for glibc 2.36.
  * Drop unused CROSS_* substitutions from debian/rules control target
    that generating warnings and errors.
  * Update package versions for Debian and Ubuntu. (Closes: #1016829).
  * Build using glibc 2.34-3.
  * Build using linux 5.18.16.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 16 Aug 2022 13:17:09 +0100

cross-toolchain-base (59ubuntu6) kinetic; urgency=medium

  * Build using gcc 11, as glibc still uses gcc 11.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 15 Aug 2022 13:39:08 +0100

cross-toolchain-base (59ubuntu5) kinetic; urgency=medium

  * Fixup glibc 2.36 patch.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 15 Aug 2022 12:17:07 +0100

cross-toolchain-base (59ubuntu4) kinetic; urgency=medium

  * Build using glibc 2.36.
  * Build using gcc 12.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 15 Aug 2022 12:03:15 +0100

cross-toolchain-base (59ubuntu3) jammy; urgency=medium

  * Fix the 64bit non-default multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Feb 2022 12:26:21 +0100

cross-toolchain-base (59ubuntu2) jammy; urgency=medium

  * Build using binutils 2.38-1.
  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Feb 2022 08:30:37 +0100

cross-toolchain-base (59ubuntu1) jammy; urgency=medium

  * Build using glibc 2.35

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 08:56:51 +0100

cross-toolchain-base (59) unstable; urgency=medium

  * Build using glibc 2.33-1.
  * Build using linux 5.15.5.
  * Build using gcc 10.3.0-7.
  * Build using binutils 2.37-10.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Dec 2021 10:43:12 +0100

cross-toolchain-base (58) unstable; urgency=medium

  * Build without libaudit.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Sep 2021 18:19:01 +0200

cross-toolchain-base (57) unstable; urgency=medium

  * Build using glibc 2.32-1.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Sep 2021 10:41:57 +0200

cross-toolchain-base (56ubuntu9) impish; urgency=medium

  * Also fix the 64bit non-default powerpc packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2021 09:00:42 +0200

cross-toolchain-base (56ubuntu8) impish; urgency=medium

  * Also fix the x32 libm multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Sep 2021 18:35:36 +0200

cross-toolchain-base (56ubuntu5) impish; urgency=medium

  * Also fix the x32 multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Sep 2021 11:27:06 +0200

cross-toolchain-base (56ubuntu4) impish; urgency=medium

  * Also work around LP #1941710, manually fixing the paths to the 64bit
    libc in 64bit non-default multilib builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Sep 2021 07:52:58 +0200

cross-toolchain-base (56ubuntu2) impish; urgency=medium

  * Adjust autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Sep 2021 02:22:47 +0200

cross-toolchain-base (56ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Call dpkg-cross with -A. See LP #1936715.
  * Work around LP #1941710, manually fixing the paths to the 32bit
    libc in 32bit non-default multilib builds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Aug 2021 21:27:42 +0200

cross-toolchain-base (56) unstable; urgency=medium

  [ YunQiang Su ]
  * Merge changes from c-t-b-mipsen.
  * Embedded dpkg-cross: support ld-linux-mipsn8.so.1 for MIPS r6.

  [ Matthias Klose ]
  * Fix some warnings in the embedded dpkg-cross.
  * Update comment for libc6-sparc64-cross:
    Remove /usr/sparc64-linux-gnu/lib/ld-linux.so.2
  * Build using gcc 10.3.0-7.
  * Fix path to ld.so.1/ld-linux.so.2 for 32bit non-default multilib builds.
  * Mark the autopkg test skippable on archs without cross compilers.
    Closes: #992525.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Aug 2021 20:45:05 +0200

cross-toolchain-base (55) unstable; urgency=medium

  * Build using glibc 2.31-17.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Aug 2021 11:00:20 +0200

cross-toolchain-base (54ubuntu1) impish; urgency=medium

  * Merge Debian changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Aug 2021 15:07:04 +0200

cross-toolchain-base (54) unstable; urgency=medium

  * Build using glibc 2.31-16.
  * Build using binutils 2.37-4.
  * Set the PATH env var explicitly when calling env -i.
  * Fix building the sparc64 multilib compilers. Closes: #991897.
  * Stop building the armel/armhf multilib packages for Ubuntu.
  * Merge the dpkg-cross script, not enabling the fix_shlibs hunk.
  * Refresh glibc patches.
  * For the sparc64 32bit multilib, fix the AS_NEEDED section in the libc.so
    linker file. Addresses: #991897.
  * Tighten test depedencies.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Aug 2021 14:53:10 +0200

cross-toolchain-base (53ubuntu5) impish; urgency=medium

  * Build using glibc 2.34-0ubuntu1
  * Build using gcc 10.3.0-6ubuntu3.
  * Build using binutils 2.37-2ubuntu4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Aug 2021 16:55:23 +0200

cross-toolchain-base (53ubuntu4) impish; urgency=medium

  * Build using glibc 2.33-0ubuntu9
  * Build using linux 5.13.x.
  * Build using gcc 10.3.0-6ubuntu1.
  * Build using binutils 2.36.90.20210712-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Jul 2021 14:12:21 +0200

cross-toolchain-base (53ubuntu3) impish; urgency=medium

  * Build using glibc 2.33-0ubuntu5
  * Stop building the armel/armhf multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Apr 2021 17:34:33 +0200

cross-toolchain-base (53ubuntu2) hirsute; urgency=medium

  * Build using glibc 2.33-0ubuntu5
  * Build using linux 5.11.12.
  * Build using gcc 10.2.1-20ubuntu1.
  * Build using binutils 2.36.1-4ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Apr 2021 14:53:23 +0200

cross-toolchain-base (53ubuntu1) hirsute; urgency=medium

  * Build using binutils 2.36.1-4ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Mar 2021 07:43:32 +0100

cross-toolchain-base (53) unstable; urgency=medium

  * Don't let the libc*-cross multilib packages conflict with each other.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Mar 2021 12:54:20 +0100

cross-toolchain-base (52ubuntu1) hirsute; urgency=medium

  * Build using binutils 2.36.1-2ubuntu1.
  * Build using gcc 10.2.1-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2021 13:17:44 +0100

cross-toolchain-base (52) unstable; urgency=medium

  * Build using linux 5.10.13.
  * Build using binutils 2.35.2-2.
  * Bump autoconf dependencies from 2.64 to 2.69.
  * Fix conversion of arch qualified relations (Helmut Grohne).
    Closes: #982888.
  * Add build dependency and autopkg test dependency on debugedit.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 09:30:19 +0100

cross-toolchain-base (51ubuntu1) hirsute; urgency=medium

  * Build using glibc 2.33-0ubuntu1
  * Build using linux 5.10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Feb 2021 19:24:57 +0100

cross-toolchain-base (51) unstable; urgency=medium

  * Build using gcc 10.2.1-6.
  * Build using linux 5.10.5.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 23:25:02 +0100

cross-toolchain-base (50) unstable; urgency=medium

  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 16:55:59 +0100

cross-toolchain-base (49) unstable; urgency=medium

  * Build using glibc 2.31-9.
  * Build using gcc 10.2.1-5.
  * Build using linux 5.10.
  * Build using binutils 2.35.1-7.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 12:29:17 +0100

cross-toolchain-base (48) unstable; urgency=medium

  * Fix binutils build conflicts. Closes: #976923.
  * Build using glibc 2.31-5.
  * Build using gcc 10.2.1-1.
  * Build using linux 5.9.
  * Build using binutils 2.35.1-4.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2020 15:07:48 +0100

cross-toolchain-base (47ubuntu5) hirsute; urgency=medium

  * Revert workaround for building with glibc 2.32-0ubuntu4, glibc is fixed
    instead

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Nov 2020 15:27:24 +0100

cross-toolchain-base (47ubuntu4) hirsute; urgency=medium

  * Build using glibc 2.32-0ubuntu4
  * Fix glibc source to not build libc6-prof in stage1 and stage2

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Nov 2020 22:08:28 +0100

cross-toolchain-base (47ubuntu3) groovy; urgency=medium

  * Build using glibc 2.32-0ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2020 22:21:57 +0200

cross-toolchain-base (47ubuntu1) groovy; urgency=medium

  * Build using glibc 2.32-0ubuntu2.
  * Build using gcc 10.2.0-8.
  * Build using binutils 2.35.
  * Build using linux 5.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2020 12:20:50 +0200

cross-toolchain-base (47) unstable; urgency=medium

  * Use gcc-10 for the autopkg tests as well.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jul 2020 11:53:24 +0200

cross-toolchain-base (46) unstable; urgency=medium

  * Build using glibc 2.31-1.
  * Build using gcc 10.1.0-5.
  * Build using linux 5.7.
  * Use the linux source version for the Built-Using info. Closes: #954663.
  * Fix build with make 4.3. Closes: #961851.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2020 19:33:22 +0200

cross-toolchain-base (45) unstable; urgency=medium

  * Build using glibc 2.30-2.
  * Build using gcc 9.3.0-7.
  * Build using binutils 2.34-5.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Mar 2020 14:02:54 +0100

cross-toolchain-base (44) unstable; urgency=medium

  * Bump source versions for autopkg test.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jan 2020 08:50:59 +0100

cross-toolchain-base (43ubuntu4) groovy; urgency=medium

  * Fix "space" variable creation for new make (Closes: #961851)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Jun 2020 12:02:05 +0200

cross-toolchain-base (43ubuntu3) focal; urgency=medium

  * Build using glibc 2.31-0ubuntu7, multilib variants without libcrypt.
  * Build using gcc 9.3.0-9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Apr 2020 12:11:02 +0200

cross-toolchain-base (43ubuntu2) focal; urgency=medium

  * Build using glibc 2.31-0ubuntu1.
  * Build using binutils 2.34.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 22:04:33 +0100

cross-toolchain-base (43ubuntu1) focal; urgency=medium

  * Build using binutils 2.33.50.
  * Build using linux 5.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2020 14:23:26 +0100

cross-toolchain-base (43) unstable; urgency=medium

  * Build using binutils 2.33.50.
  * Build using linux 5.4.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jan 2020 12:34:40 +0100

cross-toolchain-base (42ubuntu1) eoan; urgency=medium

  * Build using linux 5.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 12:30:36 +0200

cross-toolchain-base (42) unstable; urgency=medium

  * Fix gcc-source extraction step.
  * Build using glibc 2.29-1.
  * Build using gcc 9.2.1-8.
  * Build the mipsel and mips64el cross packages from the c-t-b-mipsen
    source package.
  * Merge glibc-2.30 changes from Ubuntu.
  * Build gm2 using Python3. Closes: #936587.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Sep 2019 12:09:05 +0200

cross-toolchain-base (39ubuntu2) eoan; urgency=medium

  * Build using glibc 2.30-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Sep 2019 20:41:31 +0200

cross-toolchain-base (39) unstable; urgency=medium

  * Stop building the mips packages.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 19:01:17 +0200

cross-toolchain-base (38) unstable; urgency=medium

  * Tighten autopkg test dependency on linux-libc-dev (>= 5.2).

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2019 15:55:04 +0200

cross-toolchain-base (37) unstable; urgency=medium

  * Build using linux 5.2.
  * Build using binutils 2.32.51.20190813-1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 12:36:16 +0200

cross-toolchain-base (36ubuntu1) eoan; urgency=medium

  * Build using glibc 2.29-0ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2019 14:16:22 +0200

cross-toolchain-base (36) unstable; urgency=medium

  * Fix building with binutils snapshot builds.
  * Build using gcc 8.3.0-19.
  * Build using binutils 2.32.51.20190707-1.
  * Build using glibc 2.28-10.
  * Disable optimized builds for the autopkg test build.
  * Remove the support to build powerpcspe packages (support gone in GCC 9).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2019 10:18:35 +0200

cross-toolchain-base (35ubuntu1) eoan; urgency=medium

  * Build binutils 2.32.51.20190612.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jun 2019 09:03:05 +0200

cross-toolchain-base (35) unstable; urgency=medium

  * Build using glibc 2.28-10.

 -- Matthias Klose <doko@debian.org>  Thu, 02 May 2019 14:31:48 +0200

cross-toolchain-base (34) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.

  [ Matthias Klose ]
  * Build using gcc 8.3.0-7.
  * Build using binutils 2.31.1-16.
  * Build using glibc 2.28-9.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2019 20:54:14 +0200

cross-toolchain-base (33ubuntu3) disco; urgency=medium

  * Build using gcc 8.3.0-6ubuntu1.
  * Build binutils 2.32-7ubuntu4.
  * Build using glibc 2.29-0ubuntu2.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 08 Apr 2019 09:42:00 -0600

cross-toolchain-base (33ubuntu2) disco; urgency=medium

  * Build using linux 5.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2019 13:23:13 +0100

cross-toolchain-base (33ubuntu1) disco; urgency=medium

  * Build using gcc 8.3.0-2ubuntu1.
  * Build using binutils 2.32-3ubuntu1.
  * Build using glibc 2.29-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 09:34:50 +0100

cross-toolchain-base (33) unstable; urgency=medium

  * Build using gcc 8.3.0-2.
  * Build using binutils 2.31.1-14.
  * Build using glibc 2.28-7.
  * Build the same mipsen packages for every vendor.
  * Don't build mipsen debug packages by default.
  * Remove amd64 packages from the -ports and -mipsen control file.
  * mips64 packages are now built from the -mipsen source.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Feb 2019 08:44:28 +0100

cross-toolchain-base (32) unstable; urgency=medium

  * Build using glibc 2.28-4.
  * Build using gcc 8.2.0-14.
  * Build using linux 4.19.
  * Build using binutils 2.31.1-11.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Jan 2019 10:37:28 +0100

cross-toolchain-base (30) unstable; urgency=medium

  * Build using glibc 2.28-2.
  * Build using gcc 8.2.0-11.
  * Tighten dependencies for the autopkg test.
  * Fix VCS attribute.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Dec 2018 12:05:53 +0100

cross-toolchain-base (29ubuntu1) disco; urgency=medium

  * Build using gcc 8.2.0-10ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Nov 2018 13:37:14 +0100

cross-toolchain-base (29) unstable; urgency=medium

  * Build using glibc 2.28.
  * Build using gcc 8.2.0-10.
  * Update VCS attributes in the control file.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Nov 2018 12:16:19 +0100

cross-toolchain-base (28ubuntu1) cosmic; urgency=medium

  * Build using gcc 8.2.0-6ubuntu1.
  * Build using binutils 2.31.1-5ubuntu1.
  * Build using glibc 2.28-0ubuntu1.
  * Build using linux 4.18.
  * Build a subset of cross compilers in an autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Sep 2018 17:28:21 +0200

cross-toolchain-base (28) unstable; urgency=medium

  * Build using linux 4.18.
  * Build using gcc 7.3.0-27.
  * Build using binutils 2.31.1.
  * Simplify the kernel headers build.
  * Add an autopkg test to build a subset of cross compilers.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2018 18:02:42 +0200

cross-toolchain-base (27ubuntu1) cosmic; urgency=medium

  * Build using gcc 7.3.0-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 May 2018 19:42:46 +0200

cross-toolchain-base (27) unstable; urgency=medium

  * Build using gcc 7.3.0-20.
  * Build using binutils 2.30-21.
  * Fix upgrade of the ARM32 multilib packages.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2018 19:39:54 +0200

cross-toolchain-base (26ubuntu2) cosmic; urgency=medium

  * Fix upgrade of the ARM32 multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 May 2018 09:20:42 -0400

cross-toolchain-base (26ubuntu1) cosmic; urgency=medium

  * Still build using linux 4.15.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2018 20:43:12 +0200

cross-toolchain-base (26) unstable; urgency=medium

  * Build using linux 4.16.
  * Fix ARM32 multilib installations.
  * Fix binutils installation in the build chroot.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2018 20:43:12 +0200

cross-toolchain-base (25ubuntu6) bionic; urgency=medium

  * Fix binutils installation in the build chroot.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Apr 2018 08:14:33 +0200

cross-toolchain-base (25ubuntu5) bionic; urgency=medium

  * Build using gcc 7.3.0-16ubuntu3.
  * Build using glibc 2.27-3ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Apr 2018 18:02:13 +0200

cross-toolchain-base (25ubuntu4) bionic; urgency=medium

  * Build using gcc 7.3.0-14ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Apr 2018 22:30:51 +0200

cross-toolchain-base (25) unstable; urgency=medium

  * Add support for riscv64 (Aurelian Jarno). Addresses: #892790.
  * Build using gcc 7.3.0-14.
  * Build using binutils 2.30-11.
  * Fix dpkg-cross ldscript conversion for x32.
  * Add support to build packages for amd64, i386 and x32.
  * Build packages for amd64 and i386.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 04:53:03 +0200

cross-toolchain-base (24) unstable; urgency=medium

  * Build using glibc 2.27. Closes: #886315.
  * Build using gcc 7.3.0-11.
  * Build using binutils 2.30-7.
  * Build using linux 4.15.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 14:46:33 +0100

cross-toolchain-base (23ubuntu1) bionic; urgency=medium

  * Build using gcc 7.3.0-11ubuntu1.
  * Build powerpc binaries from this source (needed for ppc64el).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Mar 2018 12:54:10 +0100

cross-toolchain-base (23) unstable; urgency=medium

  * Build using glibc 2.27. Closes: #886315.
  * Build using gcc 7.3.0-11.
  * Build using binutils 2.30-7.
  * Build using linux 4.15.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 11:50:44 +0100

cross-toolchain-base (22ubuntu2) bionic; urgency=medium

  * Update to build correctly against the new glibc 2.27-0ubuntuX:
    - Remove debian/patches/glibc/ubuntu/no-stack-protector.diff
    - Refresh debian/patches/glibc/ubuntu/local-kill-locales.patch
    - Drop unused debian/patches/glibc/ubuntu/cross-no-CXX.diff

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Feb 2018 06:51:06 -0700

cross-toolchain-base (22ubuntu1) bionic; urgency=medium

  * Build using gcc 7.3.0-1ubuntu1.
  * Build using binutils 2.30.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 19:09:47 +0100

cross-toolchain-base (22) unstable; urgency=medium

  * Build using glibc 2.26-2. Addresses: #886315.
  * Build using gcc 7.2.0-19.
  * Build using binutils 2.29.1-13.
  * Add support for ia64. Addresses: #886175.
  * dpkg-cross: Add fixes for mipsr6 and n32 (YunQiang Su). Addresses: #886312.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 23:46:19 +0100

cross-toolchain-base (21) unstable; urgency=medium

  * Build using gcc 6.4.0-11.
  * Build using glibc 2.25-3.
  * Build using linux 4.14.2-1.
  * Build using binutils 2.29.1-10.
  * Update dpkg-cross for mips* targets. Closes: #883189.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2017 07:59:56 +0100

cross-toolchain-base (20) unstable; urgency=medium

  * Build using gcc 6.4.0-10.
  * Build using glibc 2.25-1. Closes: #882168.
  * Build using linux 4.13.13-1.
  * Update build dependencies. Closes: #881618.
  * Add support for a plethora of mips r6 targets (YunQiang Su).
  * Update dpkg-cross. Addresses #881687.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Nov 2017 23:02:17 +0100

cross-toolchain-base (19ubuntu1) artful; urgency=medium

  * Build using gcc 6.4.0-7ubuntu1.
  * Build using binutils 2.29.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Sep 2017 08:55:32 +0200

cross-toolchain-base (19) unstable; urgency=medium

  * Build using binutils 2.29.1-1, using the standard debian targets.
  * Build using gcc 6.4.0-7.
  * Build using linux 4.12.13-1.
  * Build using glibc 2.24-17.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 16:26:16 +0200

cross-toolchain-base (18ubuntu1) artful; urgency=medium

  * Build using gcc 6.4.
  * Build using glibc-2.29.
  * Build using linux 4.12.
  * Build using binutils 2.29.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2017 11:48:17 +0200

cross-toolchain-base (18) unstable; urgency=medium

  * Fix build for i386 hosts. Closes: #860687.
  * Build using binutils 2.28-5.
  * Build using linux 4.9.25.
  * Build using gcc 6.3.0-18.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 21:01:45 -0700

cross-toolchain-base (17ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips, mipsel and mips64el.
    - Build using linux 4.8.
  * Build using linux 4.10.
  * Build using binutils 2.28.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Mar 2017 15:39:14 +0100

cross-toolchain-base (17) unstable; urgency=medium

  * Build using linux 4.9.13.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Mar 2017 18:07:10 +0100

cross-toolchain-base (16) unstable; urgency=medium

  * Build using linux 4.9.10.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Feb 2017 16:35:10 +0100

cross-toolchain-base (15) unstable; urgency=medium

  * Build using gcc 6.3.
  * Build using binutils 2.27.90.
  * Build using linux 4.9.
  * Inject the libc-dev dependency on linux-libc-dev.
  * Mark all packages as Multi-Arch: foreign.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 11:27:27 +0100

cross-toolchain-base (14) unstable; urgency=medium

  * Fix glibc build failure. Closes: #844866.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Nov 2016 13:18:43 +0100

cross-toolchain-base (13) unstable; urgency=medium

  * Build using linux 4.8.
  * Build using binutils 2.27.51.
  * Stop building powerpc binary packages from this source.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Nov 2016 12:48:23 +0100

cross-toolchain-base (12ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips, mipsel and mips64el.
    - Build using linux 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Oct 2016 09:21:30 +0200

cross-toolchain-base (12) unstable; urgency=medium

  * Build using linux 4.7.
  * Build using binutils 2.27.
  * Build using gcc 6.2. Closes: #835944.
  * Build using glibc 2.24.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Sep 2016 21:27:44 +0200

cross-toolchain-base (11ubuntu4) yakkety; urgency=medium

  * Fix builds with binutils 2.27.
  * Fix builds with glibc 2.24.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Aug 2016 10:43:09 +0200

cross-toolchain-base (11ubuntu3) yakkety; urgency=medium

  * Fix up the mess at the end of debian/rules.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Jul 2016 15:51:11 -0600

cross-toolchain-base (11ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips, mipsel and mips64el.
    - Build using linux 4.4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Jul 2016 08:16:00 +0200

cross-toolchain-base (11) unstable; urgency=medium

  * Build using linux 4.6.
  * Build using binutils 2.26.1.
  * Build using gcc 5.4.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jul 2016 11:29:56 +0200

cross-toolchain-base (10ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips and mipsel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Apr 2016 14:19:13 +0200

cross-toolchain-base (10) experimental; urgency=medium

  * Fix builds with binutils 2.26.
  * Fix builds with glibc 2.23. Closes: #820678.
  * Build using GCC 5.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Apr 2016 22:23:22 +0200

cross-toolchain-base (9ubuntu3) xenial; urgency=medium

  * Fix builds with binutils 2.26.
  * Fix builds with glibc 2.23.
  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Mar 2016 19:24:50 +0100

cross-toolchain-base (9ubuntu2) xenial; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Jan 2016 09:46:00 +0100

cross-toolchain-base (9ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips and mipsel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jan 2016 09:45:40 +0100

cross-toolchain-base (9) unstable; urgency=medium

  * Fix release version generation for the -ports source package.
  * Let glibc's shlibs file generate dependencies on the target architecture.
  * Parallelize the dpkg-cross and re-packaging steps.
  * Update kernel tools build dependencies. Closes: #811188.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Jan 2016 17:01:42 +0100

cross-toolchain-base (8) unstable; urgency=medium

  * Fix builds with binutils 2.25.51.x.
  * Fix builds with glibc 2.21.
  * Update to enable builds on alpha, hppa, m68k, ppc64, sh4, sparc and
    sparc64.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Dec 2015 18:44:46 +0100

cross-toolchain-base (7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips and mipsel.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Oct 2015 20:02:24 +0100

cross-toolchain-base (7) unstable; urgency=medium

  * Update glibc patches. Closes: #802062.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2015 18:14:21 +0100

cross-toolchain-base (6ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build packages for mips and mipsel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 15:20:59 +0200

cross-toolchain-base (6) unstable; urgency=medium

  * Build packages for s390x.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Sep 2015 14:16:44 +0200

cross-toolchain-base (5) unstable; urgency=medium

  * Add build conflicts on libc6-amd64, libc6-i386, libc6-x32.
  * Call gzip with -n for reproducible builds.
  * Build using GCC 4.9.3.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jul 2015 12:11:55 +0200

cross-toolchain-base (4) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow one to to build -dbg packages.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Sun, 31 May 2015 13:34:25 +0200

cross-toolchain-base (3) unstable; urgency=medium

  [ Dimitri Ledkov ]
  * Bootstrap linux for multiple architectures.

  [ Matthias Klose ]
  * Bootstrap glibc/gcc for multiple architectures.
  * Add Built-Using attributes.
  * Rename changelog in the kernel header packages and install the
    cross-toolchain-base changelog.
  * Initial upload. Closes: #784077.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 10:38:50 +0200

powerpc-cross-toolchain-base (1.2) utopic; urgency=medium

  [ Matthias Klose ]
  * Build using the glibc source package.
  * Update the multilib build for glibc.

  [ Adam Conrad ]
  * Sync with arm64 packaging.
  * install-stubs.patch: Install glibc stub headers for the stage1 build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Oct 2014 16:06:25 +0200

powerpc-cross-toolchain-base (1.1) trusty; urgency=medium

  * Bump eglibc to 2.19.
  * Refresh eglibc patches.
  * Add rsync, xmlto build-dep.
  * Build-depend on libcloog-isl-dev instead of libcloog-ppl-dev.
  * Regenerate debian/control.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 08:08:24 +0100

powerpc-cross-toolchain-base (1.0) trusty; urgency=low

  * Bump eglibc to 2.18.
  * Bump gcc to 4.8.
  * Explicitly use /dev/null as quilt config file.
  * Drop not-needed any more binutils-version.diff gcc overlay patch
  * Remove binutils-gold build-conflict, and regenerate control.
  * Refresh eglibc/ubuntu/disable-selinux.patch.
  * Add symlinks and rdfind build-dependency.
  * Speed up build, by building eglibc in parallel.
  * Remove Marcin Juszkiewicz from maintainers, thanks a lot for your
    awesome work and good luck on the Red side ;-)
  * Bump linux-source to 3.12.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Dec 2013 01:12:44 +0000

powerpc-cross-toolchain-base (0.9) raring; urgency=low

  * Drop gcc-4.7/no-shlibdeps-for-stages.diff, not needed with new glibc.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 08 Feb 2013 14:15:01 -0700

powerpc-cross-toolchain-base (0.8) raring; urgency=low

  * Bump eglibc to 2.17.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2013 20:41:54 +0000

powerpc-cross-toolchain-base (0.7) raring; urgency=low

  * Don't call dh_shlibdeps for the libgcc packages; the packages are
    just unpacked for the following glibc build, the dependency information
    is not needed. The build fails otherwise on i386 (succeeds on amd64).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 20:24:27 +0100

powerpc-cross-toolchain-base (0.6) raring; urgency=low

  * Remove LD_LIBRARY_PATH settings for gcc builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 03:41:26 +0100

powerpc-cross-toolchain-base (0.5) raring; urgency=low

  * Set WITH_SYSROOT for GCC builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 02:18:49 +0100

powerpc-cross-toolchain-base (0.4) raring; urgency=low

  * Bump b-d on linux source to 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 22:02:08 +0100

powerpc-cross-toolchain-base (0.2) raring; urgency=low

  * Merge packaging with armhf-cross-toolchain-base 1.94.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 14:59:10 +0100

powerpc-cross-toolchain-base (0.1) raring; urgency=low

  * Initial package, based on armhf-cross-toolchain-base 1.93.
  * Don't try to build libc6-prof packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2012 10:11:41 +0100

